Loading...
Searching...
No Matches
OdsTableCellStyleRefInternal Class Reference

`#include <odstablecellstyleref.h>`

## Private Member Functions

| OdsTableCellStyleRefInternal (unsigned int ref_num)

## Private Attributes

QString | _ref_str

## Friends

class | ContentXml

## Detailed Description

Definition at line 38 of file odstablecellstyleref.h.

## Constructor & Destructor Documentation

## OdsTableCellStyleRefInternal()

OdsTableCellStyleRefInternal::OdsTableCellStyleRefInternal | ( | unsigned int | ref_num | ) |

private

Definition at line 28 of file odstablecellstyleref.cpp.

{
_ref_str = QString("odsce%1").arg(ref_num);
}
OdsTableCellStyleRefInternal::_ref_str
QString _ref_str
Definition odstablecellstyleref.h:46

References _ref_str.

## Friends And Related Symbol Documentation

## ContentXml

friend class ContentXml

friend

Definition at line 40 of file odstablecellstyleref.h.

References ContentXml.

Referenced by ContentXml.

## Member Data Documentation

## _ref_str

QString OdsTableCellStyleRefInternal::_ref_str

private

Definition at line 46 of file odstablecellstyleref.h.

Referenced by OdsTableCellStyleRefInternal().

The documentation for this class was generated from the following files:

- odsstream/writer/options/odstablecellstyleref.h
- odsstream/writer/options/odstablecellstyleref.cpp